Skip to main content
POST
/
public
/
v1
/
funnel
/
distribution
Funnel stage distribution
curl --request POST \
  --url http://app.stairoids.com/api/public/v1/funnel/distribution \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <api-key>' \
  --data '
{
  "startDate": 1717200000000,
  "endDate": 1719792000000,
  "icpIds": [
    123
  ],
  "accountListIds": [
    123
  ]
}
'
{
  "stages": [
    {
      "stageId": 12,
      "stageName": "Hot",
      "minScore": 500,
      "count": 84,
      "activeCount": 37,
      "percentage": 12.5,
      "conversionRate": 0.42
    }
  ],
  "totalCount": 640,
  "totalActiveCount": 210
}

Authorizations

X-Api-Key
string
header
required

Your organization's public API key. Manage it at GET /api/user/public-api-key.

Body

application/json

Time-window and segment filter for analytics endpoints.

startDate
integer<int64>

Window start, epoch millis. Omit both startDate and endDate for the default recent window.

Example:

1717200000000

endDate
integer<int64>

Window end, epoch millis.

Example:

1719792000000

icpIds
integer<int64>[]

Restrict to these ICP ids. Null or empty = all ICPs.

Restrict to these ICP ids. Null or empty = all ICPs.

accountListIds
integer<int64>[]

Restrict to these account-list ids. Null or empty = all lists.

Restrict to these account-list ids. Null or empty = all lists.

Response

OK

Distribution of companies across funnel stages.

stages
object[]

Per-stage counts.

totalCount
integer<int32>

Total companies across all stages.

Example:

640

totalActiveCount
integer<int32>

Total companies with recent activity across all stages.

Example:

210